if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "WARRIOR" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Execute"], _, C["Execute Icon"] = GetSpellInfo(5308)

---------------------------
-- Mage Priorities
---------------------------

function PriorityQueue:GetWarriorPriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Fury"] =  L["Fury"]
	self.presets.priorities.list["Fury"] = { "ex", "none",  "none",  "none", "none", "none", "none", "none", "none", "none" }
	self.presets.default = "Fury"
end

PriorityQueue.priorityTable.name["ex"] = C["Execute"]
PriorityQueue.priorityTable.icon["ex"] = C["Execute Icon"]
PriorityQueue.priorityTable.test["ex"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Execute"]) 
	end 
